--- v2.1.1 (July 6, 2023) ---
× Hotfixes.

[ --- ADDITIONS/UPDATES --- ]
[+/ALL] Updated the config file somehow few things are missing
[+/ALL] Updated the brazil portuguses language
[-/ALL] Couple of things were removed during gameplay

[ -- BUG FIXES -- ]
[+] Removed the issues where player profile does not show up in setting during gameplay
[+] Fixed the issues related to gameplay UI bugs

[ -- ADJUSTMENTS -- ]
[+] No changelog for 2.1.1 in the UI
[+] Added a "discontinued" as a status on UI
[+] Improvements to UI stability

--- v2.1 (July 3, 2023) ---
× A requested update has arrived!

[ -- ADDITIONS/UPDATES -- ]
[+/REGULAR] Added modified Hotbar
[+/REGULAR] Added/fixed experience bar texture
[+/REGULAR] Added experience bar text to more java style
[+/REGULAR] Added experience bar percentage on above of text
[+/REGULAR] Added villager trade are completely unhidden (only classic ui)
[+/REGULAR] Removed Help button '?' from villager trade screen
[+/CONFIG] Added no comment version of 'config.json' file for better syntax
[+/ALL] Added more .lang support
[+/ALL] Added Storage setting section - warning: vanilla atm
[+/ALL] Added UI version aka pregame and regular on start screen and about screen
[+/ALL] Added details about how to use configuration in about screen - config tab 
[+/ALL] Added button text on play screen world section
[+/ALL] Added message hover thing for config list
[+/ALL] Added 'No Xbox profile on start screen' as configuration options
[+/ALL] Re-added custom background for dimensions because i forgot to export the file for package and therefore its not there.
[+/ALL] Rewrite lots of thing
[+/ALL] Resorted changelog list
[+/ALL] Merged/Updated Brazil Portuguese language for the UI
[+/ALL] Updated Settings screen again
[+/ALL] Updated Configuration list
[-/ALL] Removed moving lawnmowers as configuration feature since it is impacting the UI performance
[-/ALL] Removed test configuration

[ -- BUG FIXES -- ]
[+] Fixed issues where non-xbox user are unable to log-in
[+] Fixed issues where changelog could cause content log error
[+] Fixed issues where realm setting pane isnt there
[+] Fixed issues where logout and general buttons are in realm setting
[+] Fixed some devices unable to click/tap the exit button
[+] Fixed Minor spacing issues in play screen
[+] Fixed Accessibility and creator section 'ingored' during playing sessions.
[+] Fixed Progress label are not fading in and out
[+/CONFIG] Fixed config file corruption

[ -- ADJUSTMENTS -- ]
[+] Improvements to UI Stability and optimization
[+] Improvements to animation system
[+] Improvements to theme system
[-] Removed config file on Regular/Pre-Game due to config pack addition

--- v2.1-RC2 (Jun 30, 2023) ---
× Release candidate 2!

[ -- ADDITIONS/UPDATES -- ]
[+/ALL] Updated Brazil Portuguese language
[+/ALL] Resorted changelog list
[+/ALL] Rewrite on couple of stuff
[+/ALL] Added more .lang support
[+/ALL] Added Storage setting section - warning: vanilla atm
[+/ALL] Added a UI version aka pregame and regular on start screen and about screen
[+/ALL] Added a details about how to use configuration in about screen - config tab 

[ -- BUG FIXES -- ]
[+] Fixed issues where non-xbox user are unable to log-in
[+] Fixed issues where changelog could cause content log error

[ -- ADJUSTMENTS -- ]
[+] Optimization and improvements to UI Stability
[+] Release candidate will not be on changelog list
[+] Config are compatible

--- v2.1-RC1 (Jun 28, 2023) ---
× monkey.

[ -- ADDITIONS/UPDATES -- ]
[+/REGULAR] Added modified Hotbar
[+/REGULAR] Added/fixed experience bar texture
[+/REGULAR] Added experience bar text to more java style
[+/REGULAR] Added experience bar percentage on above of text
[+/REGULAR] Added villager trade are completely unhidden (only classic ui)
[+/REGULAR] Removed Help button '?' from villager trade screen
[+/ALL] actually added custom background for dimensions because i forgot to
        export the file for package and therefore its not there.
[+/ALL] Merged/Updated Brazil Portuguese language for the UI
[+/ALL] Updated Configuration list
[+/ALL] Added no comment version of 'config.json' file for better syntax
[+/ALL] Added a button text on play screen world section
[+/ALL] Added a message hover thing for config list
[-/ALL] Removed moving lawnmowers as configuration feature since it is
        impacting the UI performance
[-/ALL] Removed test configuration

[ -- BUG FIXES -- ]
[+] Fixed some devices unable to click/tap the exit button
[+] Fixed Minor spacing issues in play screen

[ -- ADJUSTMENTS -- ]
[+] Improvements to UI Stability and optimization
[+] Improvements to animation system
[+] Improvements to theme system

--- v2.0.2 (Jun 21, 2023) ---
× Small Update for 2.0

[ -- ADDITIONS / UPDATES -- ]
[+] Added 'invite players' button
[+] Added Custom background for dimensions
[+] Added Warning tooltips in start screen for .lang support
[+] Update to my social media

[ -- BUG FIXES -- ]
[+] Fixed accessibility and creator section 'ingored' during playing
    sessions.
[+] Fixed Progress label are not fading in and out

[ -- ADJUSTMENTS -- ]
[+] Improvements to UI Stability
[+] Improvements to theme system


--- v2.0.1 (Jun 18, 2023) ---
× Bug fixes update for v2.0

[ -- ADDITIONS / UPDATES -- ]
[+] Updated Brazil Portuguese for UI

[ -- BUG FIXES -- ]
[+] Fixed general and control setting section not being loaded in-game
[+] Fixed Warning tooltips not being there

--- v2.0 (Jun 16, 2023) ---
× A true v1.3 public release for now and yes
× it is final version.

[ -- ADDITIONS / UPDATES -- ]
[+] New Trailer again
[+] Revamped/Rewrite Start Screen
[+] Revamped/Rewrite Pause Screen
[+] Revamped Settings Screen
[+] Revamped/Rewrite Play Screen
[+] Revamped Arcdustry-UI Logo
[+] Revamped touch control's scheme icon
[+] Revamped Some icons in setting menu
[+] Revamped Play Screen's tab and icons
[+] Updated Loading Icon
[+] Changed all icons into more brighten colors
[+] Changed Back button texture to have Lynxsium-UI thing
[+] Added Variant of loading screen when you enter nether or the end,
    vice versa
[+] Added couple of .lang stuff
[+] Added Realms options in world tab ( Vanilla style only )
[+] Added Brazilian Portuguese Language ( Contributed by santiago046 )
[+] Added "More" Options in both Start/Pause screen
[+] Added OLED theme mode (Configuration)
[+] Added UI Support to 1.20.0
[+] Added Option to disable gradient render (Configuration)
[+] Added Background aswell blur version (Configuration)
    Able to change texture in 'arcdustry-ui/custom_texture' folder
[+] Added Arcdustry-UI Legacy layout (Configuration)
[+] Added Lockable bottom bar / status bar due to OLED theme mode,
    can be unlocked in configuration
[+] Added Icons on start screen
[+] Added Helper icons on play screen (Controller and Keyboard)
[+] Added Optional start/pause screen background panel incase of
    user's visuality. (Configuration)
[+] Added a slider's button because people thinks its missing
[+] Added "custom_texture" folder for customization
[+] Added Theme's code from Lynxsium-UI that may improve my progress
[+] Merged Lynxsium-UI together i think lol
[+] Fixed Misspelling on mojang copyright text
[-] Removed About Section in Setting screen
[-] Removed Pause Screen Compact version

[ -- BUG FIXES -- ]
[+] Play screen title are not spaced
[+] Realm options just randomly stops working
[+] Fixed versioning issues lmao i forogt
[+] Fixed game freezes in the start up or during gameplay
[+] Fixed another another alignment issues again...
[+] Fixed some screen being SMALL
[+] Fixed some tooltips that doesnt show up
[+] Fixed the realm download prompt not showing up

[ -- ADJUSTMENTS -- ]
[+] Massive Optimizations
[+] Improvements to UI stability
[+] UI now will use less resources as possible i think
[+] Improved Color theme system
[+] Changed *almost* all panel texture into white instead since it'll
    improve theme system better
[+] Improvements to screen animations
[+] Updated Changelog
[+] Updated .lang file/system

--- v1.3.1 (Jun 8/9, 2023) ---
× whoops accidentally broke something

[ -- ADDITIONS / UPDATES -- ]
[+] Added couple of .lang stuff
[+] Added Realms options in world tab ( Vanilla instead only )
[+] Added Brazilian Portuguese Language ( Contributed by santiago046 )

[ -- BUG FIXES -- ]
[+] Play screen title are not spaced
[+] Realm options just randomly stops working
[+] fixed versioning issues lmao i forogt

[-- ADJUSTMENTS -- ]
[+] improved UI just it
[-] there'll be no v1.3.1 changelog in UI


--- v1.3 Release Final (Jun 8, 2023) ---
× The only update that i was really dedicated.
× Arcdustry-UI will no longer uses "ARC-UI".

[ -- ADDITIONS / UPDATES -- ]
[+] New Trailer again
[+] Revamped Start Screen
[+] Revamped Pause Screen
[+] Revamped Settings Screen
[+] Revamped Play Screen
[+] Revamped Arcdustry-UI Logo
[+] Revamped touch control's scheme icon
[+] Revamped Some icons in setting menu
[+] Changed all icons into more brighten colors
[+] Changed Back button texture to have Lynxsium-UI thing
[+] Added "More" Options in both Start/Pause screen
[+] Added OLED theme mode (Configuration)
[+] Added UI Support to 1.20.0
[+] Added Option to disable gradient render (Configuration)
[+] Added Background aswell blur version (Configuration)
    Able to change texture in 'arcdustry-ui/custom_texture' folder
[+] Added Arcdustry-UI Legacy layout (Configuration)
[+] Added Lockable bottom bar / status bar due to OLED theme mode,
    can be unlocked in configuration
[+] Added Icons on start screen
[+] Added Helper icons on play screen (Controller and Keyboard)
[+] Added Optional start/pause screen background panel incase of
    user's visuality. (Configuration)
[+] Added a slider's button because people thinks its missing
[+] Added "custom_texture" folder for customization
[+] Added Theme's code from Lynxsium-UI that may improve my progress
[+] Merged Lynxsium-UI together i think lol
[+] Fixed Misspelling on mojang copyright text
[-] Removed About Section in Setting screen
[-] Removed Pause Screen Compact version

[ -- BUG FIXES -- ]
[+] Fixed game freezes in the start up or during gameplay
[+] Fixed another another alignment issues again...
[+] Fixed some screen being SMALL
[+] Fixed some tooltips that doesnt show up lol

[ -- ADJUSTMENTS -- ]
[+] Massive Optimizations
[+] Improvements to UI stability
[+] UI now will use less resources as possible i think
[+] Improved Color theme system
[+] Changed *almost* all panel texture into white instead since it'll
    improve theme system better
[+] Improvements to screen animations
[+] Updated Changelog
[+] Updated .lang file/system

--- v1.2 Release (May 19, 2023) ---
× Probably large update i suppose.

[ -- 12 ADDITIONS / UPDATES -- ]
[+] New Trailer for the UI once for all!
[+] Updated Accessibility Section with 2 new slider from 1.19.82/83
[+] Updated structure of UI folders
[+] Updated Back button icon
[+] Updated the UI layouts.
[+] Updated About Section
[+] Revamped Play Screen with proper layout and sections
[+] Added Changelog v2 (rip v1)
[+] Added PlanetMinecraft Profile/Icon in response of Arcdustry-UI being
    uploaded in PlanetMinecraft!
[+] Added Missing options from 1.19.80+
[-] Removed Version requirements, instead are now reimplemented in
    Changelog v2
[-] Removed Build date, instead are now reimplemented in Changelog v2

[ -- 5 BUG FIXES -- ]
[+] Fixed animations being wanky
[+] Fixed the issue where sometimes pause screen may crash the game
[+] Fixed another alignment issues, again
[+] Fixed being unable to use tab with controller in play screen
[+] Fixed grammar in couple of settings sections

[ -- ADJUSTMENTS -- ]
[+] Improvements to UI stability
[+] Improved the loading screen animations
[+] Improved the warning dialog
[+] Decreased the UI loading delays
[+] UI is now abit smaller for large screen usage
[+] Code Optimizations and cleaning
[+] UI file path is changed to probably feel less empty
[+] Added date next to version


--- v1.1 Release (Apr 29, 2023) ---
× Cool stuff is there!

[ -- ADDITIONS / UPDATES -- ]
[+] Added Screen animations for normal screens
[+] Added additional back button for setting/play screen
[+] Improved Color theme system
[+] Added option to get rid of marketplace [CONFIG]
[+] Every screen has additional layout and visuals changes
[+] Updated to support 1.19.80-81
[-] Removed dialog's close button in response to new close button
    replacement

[ -- BUG FIXES -- ]
[+] Fixed couple of alignment issues
[+] Improved the stability of UI
[+] Fixed where animations sometime wouldn't work on couple devices

[ -- ADJUSTMENTS -- ]
[+] Reworked few stuff
[+] Code improvements and optimization
[+] Updated Version requirements
[+] Renamed and fixed misspelling in en lang

--- v1.0.1 Release (Mar 25, 2023) ---
× Late update due to working on another UI

[ -- ADDITIONS / UPDATES -- ]
[+] Play screen tab now has icons and got theme support
[+] Pause screen (compact) now has theme support
[+] Theme now efficiently works all A-UI related screen now.

[ -- BUG FIXES -- ]
[-] none

[ -- ADJUSTMENTS -- ]
[=] internal stuff
[+] Code optimization and cleaning
[+] Updated version requirements

--- v1.0 Stable Release (Mar 10, 2023) ---
/*
 * -- it's just a beginnings --
 * Arc-UI are finally out of beta, with cool list of
 * features!
/*

[ -- ADDITIONS / UPDATES-- ]
[+] Revamped Sound screen with icons, descriptions and better
    calgory
[+] Revamped Safe zone screen the way sound screen has.
[+] Fianlized configurations
[+] Added Theme ( Configurations )
[+] Added 129 Lawnmowers ( Configurations )
[+] Added Compact pause screen ( Configurations )
[+] Added Usable changelog in about screen
[+] Added Warning screen upon launching
[+] Added Highlights for pause screen arrow button
[+] Added Credits and Social media in about screen
[+] Added More supports for .lang format, allowing creators to
    change the language they want
[+] Added couple of elements that can be disabled on configurations
[+] Revamped About/Changelog screen with proper calgories

[ -- BUG FIXES -- ]
[+] Fixed the slider bar having incorrect color
[+] Fixed "Safe zone screen" slider icons where some has incorrect
    icons
[+] Fixed overlapping issues with pause screen
[+] Fixed issue where the game could potentially crashes by leaving
    and joining too fast

[ -- ADJUSTMENTS -- ]
[+] Adjusted the highlight hover in settings and pause screen
    to fit visuality better
[+] ARC-UI/Arcdustry-UI requirements is now on
    "Settings>About/Changelog" Section.
[+] Adjusted ALL glyphs/icons related to buttons and sliders into
    white due to theme support.
[+] Changed ALL glyphs/icons related buttons and slider into
    white just for theming support
[+] Optimizations and stability


--- v1.0 Beta 2 Release (Mar 6, 2023) ---
/*
 * -- Plastic chair shall rise --
 * Quality life changes and so on
*/

[+] Adjusted bottom bar, should look really decent now
[+] Adjusted Users area in start and pause screen
[+] Fixed a crashes with missing fonts
[+] Finalized 'account' and 'general' settings sections
[+] Adjusted settings line bar
[+] Added highlights for pause screen navigations
[+] Added funny looking moving lawnmower
[+] About/Changelog screen are now officially has changelog!
    can also be disabled in configurations if the settings
    is loading more time than what it should be
[+] Optimization and improvements and code cleaning
[+] - Experiments features ( Configuration ) -
    > Theme
      - You heard me right! a theme is coming to Arc-UI!
        a LynxsiumUI/OverwhelmUI core feature!
      - Able to adjust bottom/status bar color and it's font
      - More coming soon
    > Moving image on start screen ( lawnmower )
      [ NOT IMPLEMENTED AT THE MOMENT ]
    > Controller tooltips [ NOT IMPLEMENTED AT THE MOMENTS ]
      - Displays accordingly controller button prompts on your
        screen, you'll also need a tooltips enabled by disabing
        something on controller settings.
      - If this was a pass, it'll go ahead with keyboard tooltips
        right away. shouldn't need any fixes due to those works
        same way.
      
--- v1.0 Beta 1 Release (Feb 22, 2023) ---
/*
 * -- Changes stuff before closing --
 * Few tweaks needs to be changed. and yes, new stuff too.
*/

[+] Added Content log history in ARC-UI treatment.
[+] Added Toggle highlights for visibilities, controller/k&m
    can see the toggle highlights now.
[+] Quality life changes alongside with performance improvements
[+] Fixed a bug where it can indefinitely kills the
    setting screen ultimately making it useless
[+] Fixed some issues with coordinate shortcuts on keyboard and
    creator section
[+] Added close (X) button on couple of screens for mobile user

[=] Pause screen is tweaked to have the same offset as
    start screen
[=] Common elements changes for making development more
    easier 
[=] code cleaning

[-] Disabled configuration system until I'll properly implement
    it.

--- v1.0 Pre-Beta Release (Feb 18, 2023) ---
/*
 * -- The beginnings --
 * Finally, after 7 months of scraping works and many thing,
 * ARC-UI is finally released on MCPEDL! Heres what new.
 *
*/

- [ What's new? ] -
[+] A Complete rework UI inspired by Valve's source game
    built-in steam deck ui.
[+] Every screen is bought in good feels of controller usage
[+] Massive improvements into configuration system, although.
    No functional features are being added until next update.
[+] Massively optimized! using the less resources as possible
    while maintaining vanilla feels.
[+] A Rewrite from scratch, features that from previous
    Arc-UI version is no longer exists. such as
    - Huge configuration functionalities
    - Better theme customization system
    - the use of "contents.json"
    - Better Play screen sections ( did a rewrite in this ver )
    - Lynxsium/OverwhelmUI leftovers
[+] Expect every screens has a function! :D

- [ Important note ] -
[=] Restart is required to take custom fonts in effect.
[=] Pocket UI is not recommended, because this is built-in
    Classic UI ( I hope i could support it in the future lols )
[=] No Controller/Keyboard Icons on every screen.
[=] Controller selection highlights is abit, not friendly yet.
[=] Lawnmower is no longer there :(
[=] Expect issues that can happens by the usage of controllers
[=] Touch and Keyboard/Mouse is supported.





--- v0.2 Alpha 1 Rewrite (Dec 14, 2022) ---
/*
 * -- Rewrite and Beyond Update --
 * This update inculdes whole rewritten version of Arc-UI.
 * as well recreate better configs and stuff for better
 * optimiziton and massive improvement for low-end devices.
 *
 * Since i've switched from Acode to Neovim, i've able to
 * create comments and massive improvement to my coding
 * experience. which, result better productitiy.
 *
 * Expect faster update and code improvement for now.
*/

- [ Whats new? ] -
[+] Complete rewrite from scratch.
[+] Assets UI files may now switch from .json to .jsonc for
    comments




--- v0.1 Alpha 2.4 (Nov 27, 2022) ---
/* -- UI Updates --
 *
 * Improvements to its stability and better visuality.
 *
*/

[+] Added better visuals on play screen's tab,
    added icons on selection buttons.
[+] Friends/Realms section is finished!
[+] Play screen are 80% completed!
[+] Removed the background because i don't want any DMCA
    - Background can be re-enabled, but you'll need
      to use custom background via configuration.
    - ^ same as blur background
    - To prevent pink and black texture occurs when
      background/blur is enabled, you'll see the
      s t r e t c h e d   f r o g instead.
[+] Optimizations and few tweaks.

--- v0.1 Alpha 2.3 (Nov 23, 2022) ---
/* -- UI Updates --
 *
 * Improvements to its stability, removed concepts art.
 * few UI components are being added.
 * No configuration update, this is purely play screen.
*/

[+] Play Screen - Added Tabs for allowing to play servers
                  and realms. World screen is completed!
[+] Play Screen 65% Complete
[+] Optimized few UI's to work alot better
[+] Added the concepts button fully in the play screen
[+] Added Vanilla's controller scheme support

--- v0.1 Alpha 2.2 (Nov 16, 2022) ---
/* -- Re-working UI's --
 *
 * Improvements and concepts art are being added.
 * Arcaea's background will be removed soon hopefully.
 *
*/
[=] Play Screen (World Section) 85% Complete
[=] Play Screen 15% Complete
[+] Improvements to Play Screen
[+] Added the concepts buttons
[+] Moved Player Screen (World Section) to its 
    own section folder.
[+] Temporarily disabled "contents.json" order to make
    development easier
[+] Added Temporarily modified vanilla buttons
[+] Removed couples of unused files

--- v0.1 Alpha 2.1 (Nov 12, 2022) ---
/* -- Re-working UI's --
 *
 * Improvements and bug fixes, Appearance's is added.
 * Working alot with config system and introduction
 * of world screen.
 *
*/
[+] Enabled Play Screen (World Sector), should able to
    play the world now.
[+] Adjustments to incompatible backgrounds
[+] Dialog Concepts.

--- v0.1 Alpha 2 (Nov 10, 2022) ---
/* -- Re-working UI's --
 *
 * Improvements and bug fixes, Appearance's is added.
 * Working alot with config system and introduction
 * of world screen.
 *
*/
[+] Added/Modified World Screen.
[+] Adjustments to kernel config.
[+] Massive improvements to templates.
[+] Added few customization in configuration.
    > Menu backgrounds and blurs
    > Custom backgrounds directory
    > Custom blurs background directory
    > Displays user xbox nametag
[+] Optimizations.
[+] Revamped config file to look more visually.

--- v0.1 Alpha 1 (Oct 3, 2022) ---
/* -- Initial Release for github. --
 *
 * Many features from config such as appearance aren't
 * properly added. Don't issue for such unfinished
 * features for now.
 *
*/
[=] Modified Start Screen
[=] Modified Kernel Config Checker
[=] Added Debug screen for kernel
[=] Added "contents.json" for better checking and
    don't add any unnecessary files.